# tob-ui 

更现代的 uniapp ui 😎

<br />

## 特点 🐳 

1. **更漂亮**
2. **预设优先**
3. **多端兼容**
4. **自定义主题**
5. **动态主题切换**
6. **支持 Vue2 和 Vue3**

<br />
<br />

## 预览 🦖

使用 **微信扫码** 进行预览

 <img src="https://dishait.gitee.io/tob-ui-doc/home/wechat-facade.jpg" width = "150" height = "150" alt="图片名称" align=center />

<br />
<br />
<br />

## 在线文档 🐇

👉 [tob-ui-doc](https://dishait.gitee.io/tob-ui-doc/)


<br />
<br />

## 版权 🦌

完全开源免费，随便你怎么用 🤗

<br />
<br />


## 使用 🐂

见文档 👉 [起步](https://dishait.gitee.io/tob-ui-doc/guide/started.html)


<br />
<br />

## 样式库 🐼

不喜欢太重的 **UI** 组件库？？  

也可以用单独抽离出来的样式库 👉 [tob-less](https://tob-less.netlify.app/)


<br />
<br />

## 调试该示例项目 🐐

[git clone](https://github.com/dishait/tob-ui) 或下载代码后直接拉到 **Hbuilderx** 中启动项目。  

没接触过 uniapp？？  

👉 [免费调试教程](https://study.163.com/course/introduction/1209401924.htm?inLoc=ss_ssjg_qblb_uniapp%E8%B0%83%E8%AF%95&share=2&shareId=480000001892585)


<br />
<br />

## 动机 🐗

为什么要做这个 **UI** 呢？

1. 为下次开发提提速，省下来的时间做其他事情
2. 统一通用样式设计，不用每次都重新设计样式

<br />
<br />

## 使用场景 🐻

什么时候你应该用? 

1. 使用 `uniapp` 开发多端应用时
2. 花了大量时间仍设计不出来组件时
3. 想快点结束开发工作，做其他事情时
4. 没有设计师，仍然想拥有现代审美的应用时

<br />
<br />

## 启发 🐃

该 **UI** 受以下技术启发

1. UI 框架

   - [Vant](https://vant-contrib.gitee.io/vant/#/zh-CN/home)
   - [Naive UI](https://www.naiveui.com/)
   - [Ant Design](https://ant.design/index-cn)
   - [Element Plus](https://element-plus.gitee.io/zh-CN/guide/design.html)

2. 其他
   - [Less](https://less.bootcss.com/)
   - [Windicss](https://cn.windicss.org/)
   - [Tailwindcss](https://www.tailwindcss.cn/)
   - [Typescript](https://www.tslang.cn/)
   - [@vue/reactivity](https://www.npmjs.com/package/@vue/reactivity)

<br />
<br />


## 组织 🦔

欢迎关注 **帝莎编程**
- [官网](http://dishaxy.dishait.cn/)
- [Gitee](https://gitee.com/dishait)

- [Github](https://github.com/dishait)

- [网易云课堂](https://study.163.com/provider/480000001892585/index.htm?share=2&shareId=480000001892585)

<br />
<br />

## 仓库 📦

- [Github](https://github.com/dishait/tob-ui)
- [Gitee](https://gitee.com/dishait/tob-ui)

<br />
<br />

## 官方Q群 🐧

1群: 757741267

<br />
<br />